Old version of ifort

Old version of ifort

Hi All,

I'm not an expert so sorry if my question looks a bit naive.  

I've have download and installed Intel® Fortran Composer XE for Linux* 2013

from the webpage http://software.intel.com/en-us/non-commercial-software-development 

 and I have three question:

the firs is if this package is self consistence or if I have to downlod other libraries or packages to make it work properly, like the one that are in the page http://software.intel.com/en-us/intel-compilers. Am I missing to download something from this page?

the second is if the older version of the compiler (2011) is available on the website, because I didn't find it.

The third is a compilation problem..

When i try to compile a file i get a warning like this

remark #8291: Recommended relationship between field width 'W' and the number of fractional digits 'D' in this edit descriptor is 'W>=D+7'

but I can't understand if is an important warning or not.

Maybe I'm missing something in the installation? because if i type sudo /opt/intel/bin/link_install.sh -s i get the follosing, where looks like that something is not present.

Is this related with the compilation problem?

Thanks in advance

Daniele

ICP12_REPORT()
INTEL_BIN_DIR=/opt/intel/bin (exists)
INTEL_COMPOSERXE_2011_DIR=/opt/intel/composer_xe_2013 (exists)
INTEL_COMPOSERXE_2011_BIN_DIR=/opt/intel/composer_xe_2013/bin (exists)
INTEL_COMPOSERXE_DIR=/opt/intel/composerxe (exists)
INTEL_COMPOSERXE_BIN_SC=/opt/intel/composer_xe_2013/bin/sourcechecker (exists)
INTEL_COMPOSERXE_2011_PKG_BIN_DIR=/opt/intel/composer_xe_2013/pkg_bin (exists)
INTEL_COMPOSERXE_2011_LIB_DIR=/opt/intel/composer_xe_2013/lib (exists)
INTEL_COMPOSERXE_2011_INCLUDE_DIR=/opt/intel/composer_xe_2013/include (exists)
INTEL_COMPOSERXE_2011_MAN_DIR=/opt/intel/composer_xe_2013/man (exists)
INTEL_COMPOSERXE_2011_TBB_DIR=/opt/intel/composer_xe_2013/tbb (not present)
INTEL_COMPOSERXE_2011_MKL_DIR=/opt/intel/composer_xe_2013/mkl (exists)
INTEL_COMPOSERXE_2011_IPP_DIR=/opt/intel/composer_xe_2013/ipp (not present)
INTEL_COMPOSERXE_2011_DEBUGGER_DIR=/opt/intel/composer_xe_2013/debugger (exists)
INTEL_COMPOSERXE_2011_ECLIPSE_SUPPORT_DIR=/opt/intel/composer_xe_2013/eclipse_support (exists)
INTEL_COMPOSERXE_2011_DOCUMENTATION_DIR=/opt/intel/composer_xe_2013/Documentation (exists)
INTEL_COMPOSERXE_2011_SAMPLES_DIR=/opt/intel/composer_xe_2013/Samples (exists)
INTEL_LIB_DIR=/opt/intel/lib (exists)
INTEL_INCLUDE_DIR=/opt/intel/include (exists)
INTEL_MAN_DIR=/opt/intel/man (exists)
INTEL_IPP_DIR=/opt/intel/ipp (not present)
INTEL_MKL_DIR=/opt/intel/mkl (exists)
INTEL_TBB_DIR=/opt/intel/tbb (not present)

 

2 posts / 0 nouveau(x)
Dernière contribution
Reportez-vous à notre Notice d'optimisation pour plus d'informations sur les choix et l'optimisation des performances dans les produits logiciels Intel.

ifort installer includes all required Intel libraries. The ones you show as not present belong to the C++ compiler, and are not intended to be used without it. ifort does require the g++ development package for your linux. If you install both the 32-bit "ia32" and 64-bit "intel64" ifort, you need both 32- and 64-bit g++. Either gcc or the Intel C++ compiler works as the companion processor for iso_c_binding, in case you link Fortran and C code together.
There is a separate download of libraries to support Intel(c) Xepn Phi(tm) co-processor cross-compilation, but those will not interest you if you don't know what that is.
ifort options in the source checking analysis category depend on the Inspector tool to display results. That and the VTune performance profiler, as well as the C++ compiler, are shown on the page to which you referred.
ifort 2011 gives the same warning about formats which aren't big enough to cover the full range of the data type. For example, you may not have provided sufficient space for a minus sign, in case of negative results.
http://software.intel.com/en-us/articles/older-version-installation/ describes the method for installing older versions of ifort, but if your concern is about this warning, you can either fix the source code or suppress the warning. The compiler versions which don't have the warning are no longer supported, and they wouldn't fix the error if your results overflow the format.

Laisser un commentaire

Veuillez ouvrir une session pour ajouter un commentaire. Pas encore membre ? Rejoignez-nous dès aujourd’hui